/*
Theme Name: Mercury Child
Theme URI: https://mercurytheme.com/
Description: Child theme for Mercury theme
Author: MercuryTheme.com
Author URI: https://mercurytheme.com/
Template: mercury
Version: 3.9.6
*/
@import url("../mercury/style.css");

/* User menu */
.user-block {
    padding-right: 20px;
}

@media screen and (max-width: 1199px) {
    .user-block {
        padding-right: 30px;
    }
}

.user-menu {
    display: flex;
    flex-wrap: wrap;
    padding-right: 20px;
}

.user-menu li {
    margin-left: 10px;
}

.user-menu li a {
    border-radius: 4px;
    display: block;
    padding: 10px 20px;
    font-size: 16px;
    color: #111111;
    transition: all 0.3s;
}

@media screen and (max-width: 479px) {
    .user-menu li a {
        padding: 10px 15px;
        font-size: 12px;
    }
}

.menu-white a {
    background-color: #fff;
}

.menu-white a:hover {
    background-color: #C0C0C0;
}

.menu-yellow a {
    background-color: #e938d2;
}

.menu-yellow a:hover {
    background: #d035bc;
}
/* User menu */

/* Casino links */
.casino__links {
    padding-bottom: 10px;
}

.casino__links-list {
    display: flex;
    flex-wrap: nowrap;
    margin: 0 -5px;
    padding-bottom: 15px;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    scrollbar-width: none;
}

.casino__links-item {
    margin: 0 5px;
}

.casino__links-link {
    border-radius: 18px;
    border: 2px solid rgba(33,82,115,.24);
    display: block;
    padding: 8px 20px;
    font-size: 16px;
    color: #03005e;
    white-space: nowrap;
}

.casino__links-link._active {
    background-color: #03005e;
    color: #ffffff;
}

/* Работает в Firefox */
.casino__links-list::-webkit-scrollbar {
    height: 7px;
    background-color: #f9f9fd;
}

.casino__links-list::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #03005e;
}

.casino__links-list::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.2);
    border-radius: 10px;
    background-color: #f9f9fd;
}
/* Casino links */

/* Public */
.public {
    width: 100%;
    padding: 15px 0;
    font-size: 14px;
    border-top: 1px solid rgb(127 140 141 / 37%);
    color: #7f8c8d;
}

.public__container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
    padding: 0 15px;
}

@media screen and (max-width: 767px) {
    .public__container {
        justify-content: center;
        flex-direction: column;
    }
}

.public__item {
    margin-left: 20px;
}

@media screen and (max-width: 767px) {
    .public__item {
        margin: 0 0 15px 0;
    }
}

.public__author_link {
    color: #7f8c8d;
    transition: all 0.3s;
}

.public__author_link:hover {
    color: #03005e;
}

.color-purple .public__author_link:hover{
    color: #e938d2;
}

.white {
    border-top: 1px solid rgb(178 190 195 / 37%);
    color: #b2bec3;
    z-index: 1;
}

.white .public__author_link {
    color: #b2bec3;
}

.public-sidebar {
    padding-top: 20px;
    font-size: 14px;
    border-top: 1px solid rgb(127 140 141 / 37%);
    color: #7f8c8d;
}

.public-sidebar-margin {
    margin: 30px -30px 0;
}

.public-sidebar-full {
    margin-top: 30px;
    text-align: center;
}

.public-sidebar__item {
    margin-bottom: 15px;
}

.public-sidebar__date-update {
    margin-bottom: 0;
}

.public-bottom {
    padding-bottom: 20px;
}

.public-block {
    flex-wrap: wrap;
}

.public-for-title {
    border-top: none;
    margin: 20px 0;
}

.public__author {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-left: 0;
}

.public__author_url-img {
    margin: 0 12px;
}

.public__author_photo {
    display: block;
    width: 32px;
    border-radius: 50%;
    border: 3px solid rgb(127 140 141 / 37%);
    transition: all 0.3s;
}

.public__author_url-img:hover .public__author_photo {
    border-color: #03005e;
}

.color-purple .public__author_url-img:hover .public__author_photo {
    border-color: #e938d2;
}
/* Public */

/* Author */
.author__head {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid #dfe6e9;
    padding-bottom: 40px;
    margin-bottom: 30px;
}

@media screen and (max-width: 479px) {
    .author__head {
        display: block;
    }
}

.author__head_info {
    width: calc(100% - 150px);
    padding-left: 30px;
}

@media screen and (max-width: 479px) {
    .author__head_info {
        width: 100%;
        padding-left: 0;
    }
}

.author__head_media .author__head_media_photo {
    max-width: 150px;
    border-radius: 50%;
}

.author__head_info_title {
    font-size: 30px;
    margin-bottom: 15px;
}

@media screen and (max-width: 479px) {
    .author__head_info_title {
        text-align: center;
    }
}

.author__head_info_job {
    color: #7f8c8d;
    font-size: 17px;
    margin-bottom: 20px;
}

@media screen and (max-width: 479px) {
    .author__head_info_job {
        text-align: center;
    }
}

.author-social {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -5px;
}

@media screen and (max-width: 479px) {
    .author-social {
        justify-content: center;
    }
}

.author-social__item {
    margin: 0 5px 10px 5px;
}

.author-social__item_link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    padding: 5px;
    background-color: #03005e;
    border: 2px solid #03005e;
    border-radius: 4px;
    transition: all 0.3s;
}

.author-social__item_link:hover {
    background-color: #fff;
}

.author-social__item_link svg {
    width: 17px;
    height: auto;
    transition: all 0.3s;
}

.author-social__item_link svg path {
    fill: #fff;
    transition: all 0.3s;
}

.author-social__item_link:hover svg path {
    fill: #03005e;
}

.user_link {
    margin-bottom: 20px;
    border-bottom: 1px solid #dfe6e9;
}

.user_link_url {
    display: inline-block;
    font-size: 16px;
    line-height: 22px;
    color: #151515;
    padding-bottom: 10px;
    transition: all 0.3s;
}

.user_link_url:hover {
    color: #b2bec3;
}

.user_links_sidebar {
    padding: 0 15px;
}

@media screen and (max-width: 479px) {
    .author__head_media {
        text-align: center;
    }
}
/* Author */

/* Catfish */
.catfish_link {
    color: #fff;
}

.catfish-active .space-footer {
    padding-bottom: 110px;
}
@media screen and (max-width: 479px) {
    .catfish-active .space-footer {
        padding-bottom: 100px;
    }
    .catfish-active #scrolltop.show {
        opacity: 1;
        visibility: visible;
        bottom: 120px;
    }
}
/* Catfish */

/* Promocode */
.b-promocode-container {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
}

.b-promocode-container.b-left {
    justify-content: flex-start;
}

.b-promocode-container.b-center {
    justify-content: center;
}

.b-promocode-container.b-right {
    justify-content: flex-end;
}

.b-promocode {
    display: inline-block;
    border: 1px solid #03005e;
    position: relative;
    border-radius: 4px;
    padding: 10px 35px;
    width: 230px;
    height: 48px;
    cursor: pointer;
    transition: all 0.3s;
}

.b-promocode:hover {
    background-color: #03005e;
}

.b-promocode:hover .b-promocode-promocode {
    color: #ffffff;
}

.b-promocode:hover svg path, .b-promocode:hover svg rect {
    fill: #ffffff;
}

.b-promocode:hover .b-promocode-before {
    opacity: 0;
}

.b-promocode svg {
    position: absolute;
    width: 20px;
    height: auto;
    right: 10px;
    top: 50%;
    transform: translate(0, -50%);
}

.b-promocode svg path, .b-promocode svg rect {
    transition: all 0.3s;
}

.b-promocode-before {
    position: absolute;
    top: -6px;
    background-color: #fff;
    padding: 0 10px;
    font-size: 10px;
    left: 50%;
    transform: translate(-50%, 0);
    white-space: nowrap;
    border-radius: 20px;
    line-height: 12px;
    color: #03005e;
    transition: all 0.3s;
}

.b-promocode-promocode {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    color: #03005e;
    transition: all 0.3s;
}

.b-promocode-container .b-href-url {
    display: inline-block;
    border: 3px solid #03005e;
    position: relative;
    border-radius: 4px;
    padding: 10px 35px;
    width: 230px;
    height: 48px;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    color: #03005e;
    transition: all 0.3s;
}

.b-promocode-container .b-href-url:hover {
    background-color: #03005e;
    color: #FFFFFF;
}

.b-item {
    margin: 0 10px 20px;
}
/* Promocode */
/*
     FILE ARCHIVED ON 02:15:49 Nov 01, 2025 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 07:19:55 Aug 16, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.617
  exclusion.robots: 0.057
  exclusion.robots.policy: 0.044
  esindex: 0.007
  cdx.remote: 9.347
  LoadShardBlock: 309.77 (3)
  PetaboxLoader3.resolve: 172.395 (4)
  PetaboxLoader3.datanode: 225.527 (4)
  load_resource: 97.35
*/